﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using Telerik.Web.UI;

public partial class RadCalendarMondaySunday : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
    }
    protected void RadCalendar1_DayRender(object sender, Telerik.Web.UI.Calendar.DayRenderEventArgs e)
    {
        if (e.Day.Date.DayOfWeek != DayOfWeek.Monday)
        {
            RadCalendar1.SpecialDays.Add(DisableDay(e));
        }
        else
        {
            e.Cell.CssClass = "blackFontClass";
        }
    }
    protected void RadCalendar2_DayRender(object sender, Telerik.Web.UI.Calendar.DayRenderEventArgs e)
    {
        if (e.Day.Date.DayOfWeek != DayOfWeek.Sunday || e.Day.Date > DateTime.Now.AddDays(-2))
        {
            RadCalendar2.SpecialDays.Add(DisableDay(e));
        }
        else
        {
            e.Cell.CssClass = "blackFontClass";
        }
    }
    private RadCalendarDay DisableDay(Telerik.Web.UI.Calendar.DayRenderEventArgs e)
    {
        e.Cell.CssClass = "rcOtherMonth";
        return new RadCalendarDay()
        {
            Date = e.Day.Date,
            IsDisabled = true,
            IsSelectable = false,
        };
    }
}